#!/usr/bin/perl

package t::Test::WeatherACCU;

use base 't::Test';
use Test::More;
use Data::Dumper;
sub fields : Tests {
    my ($self) = @_;

    my $geo1 = $self->{geo1};
    my $geo2 = $self->{geo2};
    my $geo3 = $self->{geo3};
 
    is ( $geo1->zipcode, '02130',   'geo1 zip');
    is ( $geo2->zipcode, '02135',   'geo1 zip');
    is ( $geo3->zipcode, 'blah',    'geo zip');

    is ( $geo1->current, undef, 'geo1 current weather');
    is ( $geo2->current, undef, 'geo2 current weather');
    is ( $geo3->current, undef, 'geo3 current weather');

    ok($geo1->execute(), 'geo1 execute SHOULD execute');
    ok($geo2->execute(), 'geo2 execute SHOULD execute');
    not ok($geo3->execute(), 'geo3 execute SHOULD NOT execute');
    like ( $geo1->current, qr/Currently:/, 'geo1 current weather');
    like ( $geo2->current, qr/Currently:/, 'geo2 current weather');
    unlike ( $geo3->current, qr/Currently/, 'geo3 current weather');

}
1;
